Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dnhqs

chọn đối tượng trong trong vung kin

Các bài được khuyến nghị

duy782006    1.373

Bạn nào chữa giúp tôi với:

Mình muốn chọn những point nằm trong pline kín và tính bình quân các Z của point

http://www.cadviet.com/upfiles/3/lisph1.rar

Đây là đoạn chọn các point trong pline dược chọn.

 

(setq plst (acet-geom-vertex-list (car (entsel "\n Chon pline khep kin"))))

(setq SS (ssget "wp" plst (list (cons 0 "point"))))

 

Đã tìm cách sửa tiêu đề topic đã hiện phần cho sửa nhưng khi sửa xong chọn cập nhật thì báo là ko có quyền sửa.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Đây là đoạn chọn các point trong pline dược chọn.

 

(setq plst (acet-geom-vertex-list (car (entsel "\n Chon pline khep kin"))))

(setq SS (ssget "wp" plst (list (cons 0 "point"))))

 

Đã tìm cách sửa tiêu đề topic đã hiện phần cho sửa nhưng khi sửa xong chọn cập nhật thì báo là ko có quyền sửa.

Hình như cái này chỉ đúng với Pline không chứa Arc phải không bác Duy782006?

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Tự nhiên đọc lại chủ đề này chợt nghĩ đến 2 từ "Vùng kín" mà cười thầm, nhớ là có bạn nào đó đề nghị sửa lại từ khác để tránh vấn đề nhạy cảm. Nhờ đó mà nhớ đến mình đã post từ CadViet một lsp rất hay về nó, của tác giả nước ngoài, sau đó về mông-má và thay bằng tiếng Việt không dấu để dễ sử dụng. Ai ngờ bây giờ có dịp hầu chủ topic và các bạn nào chưa có.

Bạn nào có rồi thì thôi, bạn nào chưa có thì post về dùng, tôi đánh giá là cực hay.

Từ lsp này có thể sáng tác thêm các lsp khác, như: chọn các point trong vùng kín (à quên) của chủ topic, hoặc delete, copy, move... các đối tượng đó.

http://www.cadviet.com/upfiles/3/chon_doi_tuong_vung.lsp

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Lisp của CAB, cũng là 1 cao thủ lisp trong các diễn đàn thesamp, augi, cadtutor..^^

Phải nói là đọc những lisp này nhọc cái đầu lắm ^^

P/S : kêu gọi anh em không trả lời bài sai quy định ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tự nhiên đọc lại chủ đề này chợt nghĩ đến 2 từ "Vùng kín" mà cười thầm, nhớ là có bạn nào đó đề nghị sửa lại từ khác để tránh vấn đề nhạy cảm. Nhờ đó mà nhớ đến mình đã post từ CadViet một lsp rất hay về nó, của tác giả nước ngoài, sau đó về mông-má và thay bằng tiếng Việt không dấu để dễ sử dụng. Ai ngờ bây giờ có dịp hầu chủ topic và các bạn nào chưa có.

Bạn nào có rồi thì thôi, bạn nào chưa có thì post về dùng, tôi đánh giá là cực hay.

Từ lsp này có thể sáng tác thêm các lsp khác, như: chọn các point trong vùng kín (à quên) của chủ topic, hoặc delete, copy, move... các đối tượng đó.

http://www.cadviet.com/upfiles/3/chon_doi_tuong_vung.lsp

Mr. Doan Van Ha cho mình hỏi mình chạy lsp trên cad 2004 và cad 2014 báo lỗi như này là bị sao ạ?

cad 2004:

Command: CHON

_.undo Enter the number of operations to undo or

[Auto/Control/BEgin/End/Mark/Back] <1>: _begin

Command:

Chon cac doi tuong Trong vung, Ngoai vung hay Giua 2 vung? <T/N/G>: T

Xet den cac doi tuong giao voi duong bao [Co,Khong]? <C/K>: C

Chon duong bao...

Select objects:

 

Calculating Break Points, Please Wait.

 

None to be broken._.undo Enter the number of operations to undo or

[Auto/Control/BEgin/End/Mark/Back] <1>: _end

Command:

 

Cad2014:

Command: CHON

_.undo Current settings: Auto = On, Control = All, Combine = Yes, Layer = Yes

Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back] <1>: _begin

Command:

Chon cac doi tuong Trong vung, Ngoai vung hay Giua 2 vung? <T/N/G>: T

Xet den cac doi tuong giao voi duong bao [Co,Khong]? <C/K>: K

Chon duong bao...

Select objects:

_.undo Current settings: Auto = On, Control = All, Combine = Yes, Layer = Yes

Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back] <1>: _end

 

Thanks!

P/S: Xin lỗi Mr. Ketxu nhé.

(P/S : kêu gọi anh em không trả lời bài sai quy định ^^)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Bạn gởi file bản vẽ ấy lên xem thử.

Đây là lisp gốc của nước ngoài nên tôi chưa dám khẳng định sẽ giúp được bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

File sua day ban. chi luu y ban la o day ta phai chon pline 3D thay vi vung kin vi neu cac diem la 3D thi ko tao duoc pline tu lenh BO.http://www.cadviet.com/upfiles/5/142148_chon_nhom_point.lsp

Cám ơn bạn nhiều:

khi mình thực hiện lsp thì báo lỗi sau:

Pick point diem in:

Chon pline 3D kin:

Select object: .text

Current text style:  "Standard"  Text height:  0.2000  Annotative:  No  Justify:  Left

Specify start point of text or [Justify/Style]:

Specify height <0.2000>: 0

Value must be positive and nonzero.

; error: Function cancelled

Specify height <0.2000>:

Specify rotation angle of text <0>: *Cancel*

 

bạn xem lại giùm mình ah.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhuy2011    5

Không phải lỗi đâu bạn.Chọn 3D pline kín là xong rồi. chỉ có điều kiểu chữ hiện hành chiều cao  0.2 quá nhỏ nên bạn không thấy. sau đó bạn lại nhấn enter nên cad lặp lại lệnh text là lệnh cuối cùng của chương trình li sp. Bạn chọn chiều cao chữ hiện hành to lên sẽ thấy

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhuy2011    5

Lỗi này là do chiều cao Te xt hiện hành = 0 nên lệnh te xt cuối cùng của li sp sẽ hỏi thêm chiều cao, thì khi đó câu lệnh của li sp sẽ thiếu tham số này nên lỗi. ta cho chiều cao khác 0 là được

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lỗi này là do chiều cao Te xt hiện hành = 0 nên lệnh te xt cuối cùng của li sp sẽ hỏi thêm chiều cao, thì khi đó câu lệnh của li sp sẽ thiếu tham số này nên lỗi. ta cho chiều cao khác 0 là được

mình làm như lời bạn nói xong thì chỉ xuất hiện  chữ 0.000 trong vùng kín thôi bạn ah.

chứ không chọn được đối tượng trong đó.

Pick point diem in:

Chon pline 3D kin:

Select object: .text

Current text style:  "Standard"  Text height:  1.0000

Specify start point of text or [Justify/Style]:

Specify rotation angle of text <0>: 0

Enter text: 0.000

Command:

Command:

 Chuc mot buoi lam viec vui ve.

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ồ, vậy là từ sáng tới giờ chúng mình cứ ông nói gà bà nói vịt ah, chẳng trách làm 1 đằng lại ra 1 lẻo.

Đề bài của tớ là chọn vùng kín cơ mà.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×